Debian セキュリティ勧告

DSA-550-1 wv -- バッファオーバフロー

報告日時:
2004-09-20
影響を受けるパッケージ:
wv
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 264972.
Mitre の CVE 辞書: CVE-2004-0645.
詳細:

iDEFENSE により、Microsoft Word 文書の変換やプレビューに使用される wv ライブラリにバッファオーバフローが発見されました。攻撃者が、攻撃対象のマシン上で wvHtml に任意のコードを実行させるような巧妙な文書を作成可能です。

安定版 (stable) ディストリビューション (woody) では、この問題はバージョン 0.7.1+rvt-2woody3 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、この問題は近く修正予定です。

直ちに wv パッケージをアップグレードすることをお勧めします。

修正:

Debian GNU/Linux 3.0 (woody)

ソース:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3.dsc
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3.diff.gz
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/w/wv/wv_0.7.1+rvt-2woody3_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。